%define		git 4b355fc25ba9885d097d2c9078a9d3e6cab35e84

Name:           c-icap-modules-classify
Version:        20180416
Release:        %mkrel 16
Summary:        Classification module for c-icap
Group:          System/Servers
License:        LGPLv3+
URL:            https://github.com/treveradams/C-ICAP-Classify
Source0:        https://github.com/treveradams/C-ICAP-Classify/archive/%{version}/C-ICAP-Classify-%{version}.zip
BuildRequires:  c-icap-devel >= 1:0.2.4
BuildRequires:  pkgconfig(opencv)
BuildRequires:  pkgconfig(tre)
BuildRequires:  libicu-devel

Requires:       c-icap-server

%description
This module can be setup to classify text & HTML pages as well as images. These
classifications are according to FastHyperSpace files or Intel OpenCV files
supplied by the user to recognize various image characteristics.

%package -n	%{name}-training
Summary:	Programs to train FHS (Fast HyperSpace) or FNB (Fast Naive Bayes) files
Group:		System/Servers
Provides:       %{name}-training fhs_learn fhs_judge fhs_makepreload fnb_learn fnb_judge fnb_makepreload
Requires:	c-icap-modules-classify

%description -n %{name}-training
Programs to train FHS (Fast HyperSpace) or FNB (Fast Naive Bayes)
files for use by c_icap_classify.

%prep
%setup -q -n C-ICAP-Classify-%{version}
%autopatch -p1

chmod 700 RECONF

# fix build with new automake 1.13
# sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.in

%build
./RECONF
%configure
%make_build

%install
# Make some directories
install -d %{buildroot}%{_sysconfdir}

# Now do install
%make_install

# nuke unwanted devel files
rm -f %{buildroot}%{_libdir}/c_icap/srv_*.a
rm -f %{buildroot}%{_libdir}/c_icap/srv_*.la
rm -f %{buildroot}%{_libdir}/c_icap/sys_logger.la

%files
%{_libdir}/c_icap/srv_classify.so

%files training
%{_bindir}/fhs_judge
%{_bindir}/fhs_learn
%{_bindir}/fhs_makepreload
%{_bindir}/fnb_judge
%{_bindir}/fnb_learn
%{_bindir}/fnb_makepreload
%{_bindir}/fhs_findtolearn
%{_bindir}/fnb_findtolearn
%{_mandir}/man8/fhs_findtolearn.8*
%{_mandir}/man8/fhs_judge.8*
%{_mandir}/man8/fhs_learn.8*
%{_mandir}/man8/fhs_makepreload.8*
%{_mandir}/man8/fnb_findtolearn.8*
%{_mandir}/man8/fnb_judge.8*
%{_mandir}/man8/fnb_learn.8*
%{_mandir}/man8/fnb_makepreload.8*


%changelog
* Tue Oct 10 2023 daviddavid <daviddavid> 20180416-16.mga10
+ Revision: 1994338
- rebuild for icu73

* Sat Jan 07 2023 squidf <squidf> 20180416-15.mga9
+ Revision: 1931107
- Mass rebuild for icu 72.1

* Wed Nov 02 2022 ghibo <ghibo> 20180416-14.mga9
+ Revision: 1901472
- Rebuild for newer opencv

* Tue Nov 01 2022 ghibo <ghibo> 20180416-13.mga9
+ Revision: 1900929
- Rebuild against opencv 4.6.0

* Sat Jun 18 2022 squidf <squidf> 20180416-12.mga9
+ Revision: 1864843
- rebuild for icu 71.1

* Sat Apr 02 2022 umeabot <umeabot> 20180416-11.mga9
+ Revision: 1840875
- Mageia 9 Mass Rebuild

* Tue Aug 03 2021 luigiwalser <luigiwalser> 20180416-10.mga9
+ Revision: 1738918
- rebuild for icu

* Mon Nov 30 2020 luigiwalser <luigiwalser> 20180416-9.mga8
+ Revision: 1650878
- rebuild for icu

* Wed Jul 01 2020 wally <wally> 20180416-8.mga8
+ Revision: 1601016
- rebuild for icu 67.1

* Sat Apr 04 2020 wally <wally> 20180416-7.mga8
+ Revision: 1564452
- rebuild for new icu 66.1

* Sun Feb 16 2020 umeabot <umeabot> 20180416-6.mga8
+ Revision: 1534622
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Oct 05 2019 daviddavid <daviddavid> 20180416-5.mga8
+ Revision: 1449470
- rebuild for new icu 65.1

* Fri Jan 11 2019 daviddavid <daviddavid> 20180416-4.mga7
+ Revision: 1354690
- rebuild for new icu

* Sun Sep 23 2018 umeabot <umeabot> 20180416-3.mga7
+ Revision: 1297329
- Mageia 7 Mass Rebuild

* Sat Sep 22 2018 umeabot <umeabot> 20180416-2.mga7
+ Revision: 1295792
- Mageia 7 Mass Rebuild
+ daviddavid <daviddavid>
- new version: 20180416
- new version: 20171226
- rebuild for new opencv 3.4.1

* Fri Dec 29 2017 wally <wally> 20151104-4.mga7
+ Revision: 1186966
- rebuild for new icu

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 20151104-3.mga6
+ Revision: 1092687
- Rebuild for icu-58.2

* Fri May 13 2016 shlomif <shlomif> 20151104-2.mga6
+ Revision: 1015048
- Rebuild due to the new ICU

* Mon Jan 18 2016 dlucio <dlucio> 20151104-1.mga6
+ Revision: 925258
- 20151104
- ICU as BR
- imported package c-icap-modules-classify


* Mon Oct 21 2013 umeabot <umeabot> 20131006-5.mga4
+ Revision: 539487
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 dlucio <dlucio> 20131006-4.mga4
+ Revision: 492269
- new snapshot
- no sed is needed
- new man pages

* Fri Jan 11 2013 umeabot <umeabot> 20121230-3.mga3
+ Revision: 347282
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 dlucio <dlucio> 20121230-2.mga3
+ Revision: 337752
- new snapshoot
  c-icap 0.2.4 or higher required

* Mon Dec 31 2012 wally <wally> 20120929-2.mga3
+ Revision: 336539
- fix build with new automake 1.13

* Mon Oct 08 2012 dlucio <dlucio> 20120929-1.mga3
+ Revision: 303325
- 20120929

* Fri Jun 01 2012 fwang <fwang> 20111022-5.mga3
+ Revision: 252706
- use configure2_5x

* Tue Mar 27 2012 dlucio <dlucio> 20111022-4.mga3
+ Revision: 227176
- new stable snapshot

* Wed Nov 02 2011 dmorgan <dmorgan> 20111022-3.mga2
+ Revision: 161821
- Fix requires in the trainin sub package

* Wed Nov 02 2011 dmorgan <dmorgan> 20111022-2.mga2
+ Revision: 161454
- Remove opencv and tre requires, they are done automatically by rpm

* Tue Oct 25 2011 dlucio <dlucio> 20111022-1.mga2
+ Revision: 157906
- SPEC fixes
- imported package c-icap-modules-classify

